$(function(){
	initDefault();
	//  关闭时用
	var tdmc = $('#_easyui_textbox_input2').val(tdmc);
	var xh = $('#videoId').val(xh);
	//点击相机名称后显示弹窗 videoId
	//点击【相机选择】按钮，弹出相机选择弹窗
	$(document).on('click', 'span[videoIdSelect]', function () {
		$("#ddl").dialog({
			title: '相机选择',
			width: 520,
			height:450,
			top: 0,
			left:400,
			closed: false,
			cache: false,
			modal: true
		});
		// 1. 行政目录查询显示
		searchXzmlHandler();
		// 2. 相机查询显示
		searchZjXjHandler();
		// 点击查询相机信息
		$("#searchXjcx").click(function(){
			searchZjXjHandler();
		})		
		// 点击行政目录radio自动查询相机
		$('#xzml-boxl').on("click",'input:radio',function(){
			searchZjXjHandler();
		})
		//  确认 按钮    点击后相机相关参数放入相应位置
		$('.get-new-xj').click(function(){
			//判断文本框是否有数据
			/*
			var textVideoId = $('#videoId').val();
			if(textVideoId != "" || $.trim(textVideoId).length > 0){
				
			}
			*/
			var chose = $('#task-add-xj-choose').find('input:radio:checked');		
			// 获取选择的相机 数据
			xh = chose.val();
			tdmc = chose.attr("tdmc");
			var tdbh = chose.attr("tdbh");
			var sbbh = chose.attr("sbbh");
			console.log("视频参数：",xh,tdmc,tdbh,sbbh);
			$('#_easyui_textbox_input2').val(tdmc);
			$('#videoId').val(xh);
			$('#data-videoId').val(xh);
			$('#data-channelId').val(tdbh);
			$('#data-videoNumber').val(sbbh);
			// 触发播放视频按钮的事件  播放视频
			var data = {};
			data.sbbh = sbbh;
			data.tdbh = tdbh;
			data.tdmc = tdmc;
			startPlayVideo(data);
			$('#ddl').dialog('close');
		})
		
		
	})
	$("#tabhead .tab").click(function () {	
	        $("#tabhead .tab").removeClass("focus");
	        $("#tabbody .panel").removeClass("focus");
	        $(this).addClass("focus");
	        $("#"+$(this).attr("data-id")).addClass("focus");
	});
	$(".tabbody div").click(function(){
		$(this).addClass("commons");
	})
	//  关闭 按钮
	$(".close-page").click(function(){
		$('#_easyui_textbox_input2').val(tdmc);
		$('#videoId').val(xh);
		$('#ddl').dialog('close');
	})
})


